Skip to content
Shortcut: /, ⌘K or Ctrl+K

Privacy

View as Markdown

The privacy settings object

Attributes

  • groupAddstringrequired

    Specifies group add for this native privacy setting.

  • lastSeenstringrequired

    Specifies last seen for this native privacy setting.

  • statusstringrequired

    Privacy audience allowed to view the account's status updates.

  • profilestringrequired

    Specifies profile for this native privacy setting.

  • readReceiptsstringrequired

    Specifies read receipts for this native privacy setting.

  • onlinestringrequired

    Specifies online for this native privacy setting.

  • callAddstringrequired

    Specifies call add for this native privacy setting.

  • messagesstringrequired

    Specifies messages for this native privacy setting.

  • defensestringrequired

    Specifies defense for this native privacy setting.

  • stickersstringrequired

    Specifies stickers for this native privacy setting.

The privacy settings object
{
  "groupAdd": "string",
  "lastSeen": "string",
  "status": "string",
  "profile": "string",
  "readReceipts": "string",
  "online": "string",
  "callAdd": "string",
  "messages": "string",
  "defense": "string",
  "stickers": "string"
}

Get privacy settings

GET/messaging/{session}/privacyMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Privacy settings
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 10 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/privacycURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/privacy" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "groupAdd": "string",
    "lastSeen": "string",
    "status": "string",
    "profile": "string",
    "readReceipts": "string",
    "online": "string",
    "callAdd": "string",
    "messages": "string",
    "defense": "string",
    "stickers": "string"
  }
}

Set default disappearing timer

PUT/messaging/{session}/privacy/disappearing/defaultMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • durationSecondsnumberrequired

    Duration in seconds.

    Accepts one of
    • number, 0

    • number, 86400

    • number, 604800

    • number, 7776000

Responses

  • 200Default disappearing-message timer updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/privacy/disappearing/defaultcURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/privacy/disappearing/default" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "durationSeconds": 0
}'
Response
{
  "success": true
}

Set privacy setting

PUT/messaging/{session}/privacy/{setting}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • settingstringrequired

    Specifies setting for this path parameter.

    Allowed valuesgroupaddlaststatusprofilereadreceiptsonlinecalladdmessagesdefensestickers

Body

  • valuestringrequired

    Value assigned to this field.

    Allowed valuesallcontactscontact_allowlistcontact_blacklistmatch_last_seenknownnoneon_standardoff

Responses

  • 200Updated privacy settings
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 10 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/privacy/{setting}cURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/privacy/<setting>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "all"
}'
Response
{
  "success": true,
  "data": {
    "groupAdd": "string",
    "lastSeen": "string",
    "status": "string",
    "profile": "string",
    "readReceipts": "string",
    "online": "string",
    "callAdd": "string",
    "messages": "string",
    "defense": "string",
    "stickers": "string"
  }
}